#!/bin/bash

set -e

SCRIPT=$(basename $0)
STAGE_DIR=$(mktemp -d /var/tmp/buildpack-XXXX)
TARBALL="${STAGE_DIR}/heroku-buildpack-sigsci-dev.tgz"

tar --exclude $SCRIPT --exclude .git -zcvf $TARBALL .
aws s3 cp $TARBALL s3://signalsciences-artifacts-us-west-2/sigsci/ --cache-control 'max-age=0'

# cleanup
if [ -d $STAGE_DIR ]; then
  rm -fr $STAGE_DIR
fi
